ASM_TARGETS = at90s1200 \
              attiny11 \
              attiny12 \
              attiny15 \
              attiny28

C_TARGETS = at90s2313 \
            at90s2323 \
            at90s2333 \
            at90s2343 \
            at90s4414 \
            at90s4433 \
            at90s4434 \
            at90s8515 \
            at90c8534 \
            at90s8535 \
            atmega8 \
            atmega103 \
            atmega128 \
            atmega16 \
            atmega161 \
            atmega162 \
            atmega163 \
            atmega169 \
            atmega32 \
            atmega323 \
            atmega64 \
            atmega8515 \
            atmega8535 \
            attiny22 \
            attiny26

ALL_TARGETS = $(ASM_TARGETS) $(C_TARGETS)

asm-targets:
	$(MAKE) TARGETS="$(ASM_TARGETS)" generic-targets

c-targets:
	$(MAKE) TARGETS="$(C_TARGETS)" generic-targets

# We must clean out any .o files before descending into target dir or the
# VPATH mechanism might get confused.

generic-targets: clean
	set -e; set -x; \
	for target in $(TARGETS); do \
		rm -rf $$target; \
		mkdir $$target; \
		sed -e '/^include/s#\.\./#../../#' \
			-e '/^VPATH/s#\.\./#../../#' \
			Makefile > $$target/Makefile; \
		$(MAKE) AVR_TARGET=$$target -C $$target; \
	done

all-targets: asm-targets c-targets

deep-clean: clean
	rm -rf $(ALL_TARGETS)
